Subject: bug#8863: 23.3; Strikethrough won't display on MacOS

From: Dave Abrahams <[email-masked]>
Date: Sat, 02 Jul 2011 22:27:31 -0400

on Sat Jul 02 2011, Alp Aker <alp.tekin.aker-AT-gmail.com> wrote:

>> Dave Abrahams <[email-masked]> writes:
>>
>> No, but the enclosed 2 patches, together, seem to.  Would somebody apply
>> these, please?
>
> I mentioned some problems with Chong Yidong's suggestion, one of which
> still applies here: this patch won't work with stretch or image glyphs
> (so, e.g., it won't do strike-through on tab characters).  
>
> Also (something I didn't mention in the earlier post), this uses the
> same Quartz drawing API as the existing code for underlining, and so
> suffers from a problem that exists in that case as well; this kind of
> line-drawing is subject to anti-aliasing effects that will cause lines
> whose requested thickness is 1 pixel to appear thicker than that
> (specifically, the line-drawing commands in question stroke lines so
> that they're centered on their specified paths, and so a line whose
> thickness is an odd number of pixels is dithered, making it look
> thicker).

On my screen it's just grayscaled.  However, as long as you're in that
code, you might also consider whether there's too much rounding off
(calls to lrint) going on in there.  It certainly did look suspicious
to me, but it worked "well enough" that I wasn't going to mess with it.

> Last week I promised a patch that would implement strike-through and
> overline face attributes and address problems with the existing
> implementation of underlining.  I'll try to finish that up and post it
> tomorrow.

Wow, I missed that post and wasted a day implementing this :(

Thanks for your work on it.  Will you apply this to the 23.3 branch as
well as trunk?

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com